* {
  margin: 0;
  padding: 0;
}

:root {
  --red: #ed1c24;
  --white: #ffffff;
  --black: #1e1e1e;
  --blue: #0089d0;
}

html {
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 0.4vw;
  /* font-size: 62.5%; */
  color: var(--black);
  scroll-behavior: smooth;
}

h1 {
  font-size: 7.2rem;
  font-weight: 700;
}

h2 {
  font-size: 4.8rem;
  font-weight: 400;
}

h3 {
  font-size: 2.4rem;
  font-weight: 300;
}

h4 {
  font-size: 1.8rem;
  font-weight: 700;
}

p {
  font-size: 1.8rem;
  font-weight: 300;
}

b {
  font-weight: 700;
}

.div-red {
  background-color: var(--red);
}

.div-blue {
  background-color: var(--blue);
}

.icon {
  height: 10rem;
}

/* Header */
header {
  display: grid;
  grid-template-rows: 1rem 1rem 10rem;
}

nav {
  display: flex;
  align-items: center;
  background: var(--black);
  padding: 10px 20px;
}

.logo {
  height: 7rem;
  margin-left: 3rem;
  margin-right: 5rem;
}

nav div {
  display: flex;
  gap: 5rem;
}

nav div a {
  color: white;
  text-decoration: none;
  text-align: center;
  font-weight: 300;
  font-size: 1.6rem;
  transition: 0.1s;
}

nav div a:hover {
  color: var(--red);
}

.mobile-hero-section {
  display: none;
}

/* Hero Section */
.hero-section {
  height: 80rem;
  padding: 15rem;
  background-image: url("img/design/homepage-design.png");
  background-size: contain;
  background-position: top right;
  background-repeat: no-repeat;
}

.hero-content {
  display: flex;
  flex-direction: column;
  gap: 5rem;
}

.welcome-to-hsk-kömür {
  display: grid;
  grid-template-columns: 1rem 1rem 2.5rem auto;
}

/* Services Section */
.services-section {
  height: 80rem;
  padding: 15rem;
  background-image: url("img/design/our-services-design.png");
  background-size: contain;
  background-position: top left;
  background-repeat: no-repeat;
  display: grid;
  grid-template-columns: 20vw auto;
}

.services-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10rem;
}

.services-text {
  display: flex;
  justify-content: space-between;
  gap: 20rem;
}

.services-text div {
  width: 40rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 5rem;
}

/* Team Section */
.team-section {
  padding: 15rem;
  background-image: url("img/design/our-team-design.png");
  background-size: cover;
  background-position: top;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10rem;
}

.team-content {
  display: flex;
  align-items: baseline;
  gap: 35rem;
}

.team-content div {
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 2.5rem;
}

.emre,
.kaan {
  width: 35rem;
}

.emin {
  width: 50rem;
}

.emre-img,
.kaan-img {
  width: 35rem;
  height: 35rem;
  background-size: contain;
  background-repeat: no-repeat;
}

.mobile-emin img {
  height: 35rem;
}

.emre-img {
  background-image: url(img/team/emre.png);
}

.emin-img {
  width: 50rem;
  height: 50rem;
  background-image: url(img/team/emin.png);
  background-size: contain;
  background-repeat: no-repeat;
}

.kaan-img {
  background-image: url(img/team/kaan.png);
}

.emre,
.emin,
.kaan {
  display: flex;
}

.mobile-emin {
  display: none;
}

/* Contact Section */
.contact-section {
  padding: 15rem;
  padding-top: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10rem;
}

iframe {
  width: 50rem;
  height: 50rem;
  border: solid;
  border-radius: 1rem;
  border-width: 1rem;
  border-color: var(--red);
  outline: solid;
  outline-width: 1rem;
  outline-color: var(--blue);
}

.contact-content {
  display: flex;
  align-items: center;
  gap: 20rem;
}

.contact-information {
  display: flex;
  flex-direction: column;
  gap: 5rem;
}

.contact-information div {
  display: flex;
  align-items: center;
}

.contact-information div img {
  margin-right: 5rem;
}

/* Footer */
footer {
  display: grid;
  grid-template-rows: 1rem 1rem 10rem;
}

.footer-content {
  background-color: var(--black);
  display: flex;
  align-items: center;
  justify-content: space-around;
}

footer div h3 {
  color: var(--white);
}

.legal {
  display: flex;
  gap: 1rem;
}

.legal a,
.legal p {
  font-size: 2.4rem;
  font-weight: 300;
  text-decoration: none;
  color: var(--white);
  transition: 0.1s;
}

.legal a:hover {
  color: var(--red);
}

.legal-section {
  padding: 15rem;
  padding-top: 0;
  display: flex;
  flex-direction: column;
  align-items: left;
}

.legal-section h1 {
  margin-top: 5rem;
}

.legal-section h2 {
  margin-top: 2.5rem;
}

.legal-section h3 {
  text-decoration: underline;
  margin-top: 2rem;
}

.legal-section h4 {
  margin-top: 2rem;
}

.legal-section ul {
  margin: 1.5rem 0;
  padding-left: 2rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.legal-section li {
  font-weight: 500;
  font-size: 1.8rem;
}

@media only screen and (orientation: portrait) {
  html {
    font-size: 1vw;
  }

  .icon {
    height: 15rem;
  }

  h2 {
    font-size: 5.2rem;
  }

  h3 {
    font-size: 3.6rem;
  }

  h1,
  h2,
  h3 {
    text-align: center;
  }

  /* Header */
  nav {
    justify-content: center;
  }

  nav div {
    display: none;
  }

  /* Hero Section */
  .mobile-hero-section {
    display: grid;
    grid-template-rows: 80rem 1rem 1rem;
  }

  .mobile-hero-content {
    background-image: url(img/design/team.png);
    background-position: top center;
    background-size: cover;
    background-repeat: no-repeat;
  }

  .hero-section {
    height: fit-content;
    background-image: none;
    padding-bottom: 0;
  }

  .hero-content {
    align-items: center;
  }

  .welcome-to-hsk-kömür {
    display: block;
  }

  .welcome-to-hsk-kömür div {
    display: none;
  }

  /* Services Section */
  .services-section {
    height: fit-content;
    padding-bottom: 0;
    background-image: none;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5rem;
  }

  .services-section .div-space {
    display: none;
  }

  .services-text {
    flex-direction: column;
  }

  /* Team Section */
  .team-section {
    background-image: none;
  }

  .team-content {
    width: fit-content;
    flex-direction: column;
    align-items: center;
    gap: 20rem;
  }

  .team-content div {
    gap: 7.5rem;
  }

  .emin {
    display: none;
  }

  .mobile-emin {
    display: flex;
  }

  .mobile-emin img,
  .emre-img,
  .kaan-img {
    width: 50rem;
    height: 50rem;
  }

  .emre-img {
    background-image: url(img/team/mobile-emre.png);
  }

  .kaan-img {
    background-image: url(img/team/mobile-kaan.png);
  }

  /* Contact Section */
  iframe {
    display: none;
  }

  .contact-content {
    flex-direction: column;
  }

  .contact-information div h3 {
    text-align: left;
  }

  .legal-section {
    align-items: center;
  }
}
